Package org.springframework.security.crypto.keygen

## Interface BytesKeyGenerator

    public interface BytesKeyGenerator

A generator for unique byte array-based keys.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `generateKey()` Generate a new key.
`int` `getKeyLength()` Get the length, in bytes, of keys created by this generator.

### Method Detail

#### getKeyLength

    int getKeyLength()

Get the length, in bytes, of keys created by this generator. Most unique keys are at least 8 bytes in length.

#### generateKey

    byte[] generateKey()

Generate a new key.